var vm = new Vue({
	el: "#app",
	data: {
		lang:ch,
		setuser: { //编辑数据
			privilege: "0",
			user_id: '',
			username: '',
			passwd: '',
			passwdAgain: '',

		}, //提交的用户
		isCurrent: '', //当前登入用户
		user: [], //用户列表
		isIE: cgi.isBrowerIE()
	},
	methods: {
		//初始化数据
		initData: function() {
			var data = cgi.transfer("get.cgi?random=" + Math.random(), "get", {
				'key': 'user'
			});
			this.user = data.user;
			var session = cgi.getItem("session");
			var s_info = session.split("|");
			this.isCurrent = s_info[0];
		},
		//添加修改用户
		upData: function() {
			var that = this;
			var reg = /^[A-Za-z][A-Za-z0-9_]*$/;
			if(!reg.test(that.setuser.username)) {
				cgi.show_error(note.username)
				return;
			}
			if(that.setuser.username.length < 4 || that.setuser.username.length > 33) {
				cgi.show_error(note.userLength)
				return;
			}
			// 验证密码是否一致
			if(that.setuser.passwd == "" || that.setuser.passwdAgain == "") {
				cgi.show_error(note.pwdNull)
				return;
			}

			if(that.setuser.passwd.length > 33) {
				cgi.show_error(note.pwdLength)
				return;
			}

			var reg = /:/;
			if(reg.test(that.setuser.passwd)) {
				cgi.show_error(note.pwdNotPass)
				return;
			}

			if(that.setuser.passwd != that.setuser.passwdAgain) {
				cgi.show_error(note.pwdNotSame)
				return;
			}

			var param = {};
			param.key = 'user',
				param.username = that.setuser.username;
			param.passwd = hex_md5(that.setuser.passwd);
			param.privilege = that.setuser.privilege;
			if(that.setuser.user_id != '') {
				param.user_id = that.setuser.user_id;
			}

			cgi.httpAjax('set.cgi', 'post', param, function(data) {
				if(data == 0) {
					that.setuser.passwd = '';
					that.setuser.passwdAgain = '';
					if(that.setuser.user_id != '') {
						cgi.show_error(note.changSuss,true)
					} else {
						cgi.show_error(note.addSuss,true)
					}

					// 当前登录用户为修改的用户时，清掉cookie重新登录
					if(that.isCurrent == that.setuser.username) {
						cgi.clear_session()
						if(self.frameElement && self.frameElement.tagName == "IFRAME") {
							top.location.href = "login.html"
						} else {
							window.location.href = "login.html";
						}
					}
					that.initData();

				} else if(data == 1) {
					cgi.show_error(note.userHasHere)

				} else {
					if(that.setuser.user_id != '') {
						cgi.show_error(note.changeError)
					} else {
						cgi.show_error(note.addError)
					}
				}
			})

		},
		//取消
		resetData: function() {
			this.setuser.username = '';
			this.setuser.passwd = '';
			this.setuser.passwdAgain = '';
			this.setuser.user_id = '';
			this.setuser.privilege = '0';
		},
		//编辑
		edit: function(i, user) {
			var that = this;
			this.setuser.username = user.username;
			this.setuser.user_id = user.user_id;
			this.setuser.privilege = user.privilege;
		},
		//删除
		deleteUser: function(i, user) {
			var that = this;
			if(confirm(note.deleNote)) {
				var d = {
					"key": "user",
					"username": user.username,
					"action": "del"
				}
				cgi.httpAjax('set.cgi', 'post', d, function(data) {
					if(data == 0) {
						cgi.show_error(note.deleSuss,true)
						that.initData();
					} else {
						cgi.show_error(note.deleError)
					}
				})

			}
		},
	},
	mounted: function() {
		this.initData()
	}

})

function show_object() {
	var axvdc = document.getElementById("axvdc");
	if(axvdc == null || axvdc.object == null) {} else {
		axvdc.ip = window.location.host;
		axvdc.display = 1;
		axvdc.draw = 1;
	}
	$(".guideContent").css("display", "block")
}
$(function() {
	setTimeout('show_object()', 200)
})